
CREATE OR REPLACE FUNCTION spResetDB() RETURNS SETOF SPStatus AS $$
DECLARE
	_retval	SPStatus%ROWTYPE;
	_spret	SPStatus%ROWTYPE;
	_cur		refcursor;

	_var1		VARCHAR;
	_var2		VARCHAR;
BEGIN

	DELETE FROM NCOUNTP;

	DELETE FROM SALEDFA;
	DELETE FROM PURCDFA;
	DELETE FROM FADEPR;
	DELETE FROM FA;
	DELETE FROM FAGRP;

	DELETE FROM BEGBAL;

	DELETE FROM RecurD;
	DELETE FROM Recur;

	DELETE FROM SttrD;
	DELETE FROM Sttr;

	DELETE FROM CsTr;
	DELETE FROM CAdj;

	DELETE FROM MfgMD;
	DELETE FROM MfgM;
	DELETE FROM MfgPD;
	DELETE FROM MfgP;
	DELETE FROM Mfg;

	DELETE FROM PRetD;
	DELETE FROM PRet;

	DELETE FROM PReqPO;
	DELETE FROM PRcvPurc;
	DELETE FROM POPurc;
	
--	DELETE FROM PurcTax;
	DELETE FROM PurcD;
	DELETE FROM PurcDFA;
	DELETE FROM Purc;

	DELETE FROM PRcvPurc;
	DELETE FROM POPRcv;
	DELETE FROM PRcvD;
	DELETE FROM PRcv;

--	DELETE FROM POTax;
	DELETE FROM POD;
	DELETE FROM PO;

	DELETE FROM PReqD;
	DELETE FROM PReq;

	DELETE FROM SPaiD;
	DELETE FROM RcvD;
	DELETE FROM Rcv;

	DELETE FROM PPaid;
	DELETE FROM PayD;
	DELETE FROM Pay;

	DELETE FROM cbg;

	DELETE FROM fcn;

	DELETE FROM SRetD;
	DELETE FROM SRet;

	IF EXISTS (SELECT relname FROM pg_class WHERE relname='sugest') THEN 
		DELETE FROM appoint;
		DELETE FROM billsale;
		DELETE FROM sugestsale;
		DELETE FROM bill;
		DELETE FROM sugest;
		DELETE FROM saledwo;
	END IF;

	IF EXISTS (SELECT relname FROM pg_class WHERE relname='komisi') THEN 
		DELETE FROM komisid;
		DELETE FROM komisi;
		DELETE FROM komisiprocessd;
		DELETE FROM komisiprocess;
	END IF;

	IF EXISTS (SELECT relname FROM pg_class WHERE relname='prepaid') THEN 
		DELETE FROM prepaidbal;
		DELETE FROM prepaidcard;
		DELETE FROM prepaidstock;
	END IF;

	IF EXISTS (SELECT relname FROM pg_class WHERE relname='svcpart') THEN 
		DELETE FROM svcpart;
		DELETE FROM svcoutsource;
		DELETE FROM service_status;
		DELETE FROM svcrcvditem;
		DELETE FROM svcrcvdkelengkapan;
		DELETE FROM svcrcvdtask;
		DELETE FROM svcrcv;
	END IF;

	IF EXISTS (SELECT relname FROM pg_class WHERE relname='ruislag') THEN 
		DELETE FROM Refhd;
		DELETE FROM Refh;
		DELETE FROM RLSource;
		DELETE FROM RLSubtitute;
		DELETE FROM Ruislag;
	END IF;

	IF EXISTS (SELECT relname FROM pg_class WHERE relname='prjkontraktor') THEN 
		DELETE FROM kontraktorquot;
		DELETE FROM prjquotd;
		DELETE FROM prjquot;
		DELETE FROM prjproduct;
		DELETE FROM prjprog;
		DELETE FROM prjdkontraktor;
		DELETE FROM prjkontraktor;
	END IF;

	IF EXISTS (SELECT relname FROM pg_class WHERE relname='handover') THEN 
		DELETE FROM handoverd;
		DELETE FROM regionho;
		DELETE FROM taniho;
		DELETE FROM saleditemconv;
		DELETE FROM handover;
	END IF;

	DELETE FROM SaleBns;
	DELETE FROM SOSale;
	DELETE FROM DeliSale;
--	DELETE FROM SaleTax;
	DELETE FROM SaleD;

	IF EXISTS (SELECT relname FROM pg_class WHERE relname='cret') THEN 
		DELETE FROM CRetD;
		DELETE FROM CRet;
	END IF;


	IF EXISTS (SELECT relname FROM pg_class WHERE relname='cons') THEN 
		DELETE FROM ConsD;
		DELETE FROM ConsSale;
		DELETE FROM Cons;
	END IF;

	DELETE FROM SaleDFA;
	DELETE FROM SaleCrcV;
	DELETE FROM Sale;

	DELETE FROM DeODeli;
	DELETE FROM SODeli;
	
	DELETE FROM Posses;
	
	DELETE FROM DeliD;
	DELETE FROM Deli;

	DELETE FROM SODeO;
	DELETE FROM DeOD;
	DELETE FROM DeO;

--	DELETE FROM SOTax;
	DELETE FROM SOD;
	DELETE FROM SO;

	IF EXISTS (SELECT relname FROM pg_class WHERE relname='sq') THEN 
		DELETE FROM sqd;
		DELETE FROM sq;
	END IF;

	DELETE FROM CashA;

	DELETE FROM SAdjD;

	IF EXISTS (SELECT relname FROM pg_class WHERE relname='sadjdcsv') THEN 
		DELETE FROM sadjdcsv;
	END IF;

	DELETE FROM SAdj;
	
	DELETE FROM StockAD;
	DELETE FROM StockA;

	DELETE FROM BPA;

	DELETE FROM CashA;

	DELETE FROM Lgr;

	DELETE FROM JnlD;
	DELETE FROM Jnl;

	DELETE FROM DP;

	DROP SEQUENCE dpidgenerator;
	CREATE SEQUENCE dpidgenerator INCREMENT BY 1 START WITH 1;	
	--SELECT setval('dpidgenerator', 1);

	-- UPDATE Stock SET Qty=0, QtyPO=0, QtySO=0, subtotal=0;
	UPDATE Cash SET outbal=0;
	UPDATE Cash SET cashbal=0, basecashbal=0;
	UPDATE Acc SET AccBal=0;
	UPDATE BpAcc SET APBalance=0, APBalanceBC=0, ARBalance=0, ARBalanceBC=0, VendorDeposit=0, CustDeposit=0;

	DELETE FROM BPCBal;
	DELETE FROM BPDBal;

	-- hapus sekalian sama kartu stocknya ?
	DELETE FROM stocklog;
	DELETE FROM Stock;  
	DELETE FROM StockBal;
	DELETE FROM CashBal;
	DELETE FROM AccBal;

	DELETE FROM CrcLog;
	DELETE FROM logtrans;
	DELETE FROM pricelog;

	DELETE FROM cashreva;

	_retval:=(0, 'OK');
	RETURN NEXT _retval;
END
$$
LANGUAGE plpgsql;


SELECT * FROM spResetDB();

